Class UmlBaseJoinPseudoState

Declaration :

- C++ : class UmlBaseJoinPseudoState : public UmlPseudoState
- Java : abstract class UmlBaseJoinPseudoState extends UmlPseudoState

Directly inherited by : UmlJoinPseudoState

Artifact : UmlBaseJoinPseudoState

Operation create

returns a new join pseudo state created under 'parent'
In case it cannot be created ('parent' cannot contain it etc ...)
return 0 in C++ and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem) : UmlJoinPseudoState, exceptions : RuntimeException
- C++ : public: static UmlJoinPseudoState * create(UmlItem * parent)
- Java : public static UmlJoinPseudoState create(UmlItem parent) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseJoinPseudoState

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseJoinPseudoState(in id : item_id, in s : string) :
- C++ : protected: UmlBaseJoinPseudoState(void * id, const QCString & s) : UmlPseudoState(id, s)
- Java : protected UmlBaseJoinPseudoState(long id, String s)

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload